Bug 1607749 - RFE: Make multipath able to blacklist by protocol/transport [rhel-7.5.z]
Summary: RFE: Make multipath able to blacklist by protocol/transport [rhel-7.5.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.6
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Lin Li
Marek Suchánek
URL:
Whiteboard:
Depends On: 1593459
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 08:00 UTC by Oneata Mircea Teodor
Modified: 2018-08-27 15:07 UTC (History)
12 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-119.el7.1
Doc Type: Enhancement
Doc Text:
Device Mapper Multipath (DM Multipath) now supports the "protocol" configuration option in the "blacklist" and "blacklist_exceptions" configuration sections. This enables you to blacklist or whitelist paths based on the protocol they use, such as "scsi" or "nvme". For SCSI devices, you can also specify the transport: for example "scsi:fcp" or "scsi:iscsi".
Clone Of: 1593459
Environment:
Last Closed: 2018-08-16 14:21:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2464 None None None 2018-08-16 14:21:12 UTC

Description Oneata Mircea Teodor 2018-07-24 08:00:43 UTC
This bug has been copied from bug #1593459 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 2 Ben Marzinski 2018-07-24 18:46:09 UTC
Fix backported

Comment 9 errata-xmlrpc 2018-08-16 14:21:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2464

Comment 10 Ala Hino 2018-08-27 13:04:11 UTC
Ben,

Please note that in the "Fixed in version" filed, device-mapper-multipath-0.4.9-119.el7.1 is reporter while in comment 6 the following version is reported:

root@storageqe-06 ~]# rpm -qa | grep multipath 
device-mapper-multipath-libs-0.4.9-119.el7_5.1.x86_64
device-mapper-multipath-0.4.9-119.el7_5.1.x86_64

On my host with CentOS 7.5, I see that the version is 0.4.9-119.el7_5.1.x86_64.

Can you please confirm that the version indeed is 0.4.9-119.el7_5.1.x86_64?

Comment 11 Ben Marzinski 2018-08-27 15:07:30 UTC
(In reply to Ala Hino from comment #10)
> Ben,
> 
> Can you please confirm that the version indeed is 0.4.9-119.el7_5.1.x86_64?

That's correct. 0.4.9-119.el7_5.1.x86_64 has the fix.


Note You need to log in before you can comment on or make changes to this bug.